package solutions.bitbadger.documents.scala

import org.scalatest.funspec.AnyFunSpec
import org.scalatest.matchers.should.Matchers
import solutions.bitbadger.documents.DocumentIndex

class DocumentIndexSpec extends AnyFunSpec with Matchers {

  describe("sql") {
    it("returns blank for FULL") {
      DocumentIndex.FULL.getSql shouldEqual ""
    }
    it("returns jsonb_path_ops for OPTIMIZED") {
      DocumentIndex.OPTIMIZED.getSql shouldEqual " jsonb_path_ops"
    }
  }
}
