package solutions.bitbadger.documents.scala

import org.scalatest.funspec.AnyFunSpec
import org.scalatest.matchers.should.Matchers
import solutions.bitbadger.documents.FieldMatch

/**
 * Unit tests for the `FieldMatch` enum
 */
class FieldMatchSpec extends AnyFunSpec with Matchers {

  describe("sql") {
    it("returns OR for ANY") {
      FieldMatch.ANY.getSql shouldEqual "OR"
    }
    it("returns AND for ALL") {
      FieldMatch.ALL.getSql shouldEqual "AND"
    }
  }
}
